#ifndef _UNISTD_H
#define _UNISTD_H

#include <stdint.h>
#include <sys/types.h>

#ifdef __cplusplus
extern "C"
{
#endif

    pid_t fork();
    pid_t getpid();

    int execv(const char*, char* const*);
    int execve(const char*, char* const*, char* const*);
    int execvp(const char*, char* const*);

    long syscall(long, ...);

#ifdef __cplusplus
}
#endif

#endif
